SAMConnection->send
SAMConnection->subscribe
SAM Functions
PHP Manual

# SAMConnection::setDebug

(No version information available, might be only in CVS)

SAMConnection::setDebug — Turn on or off additional debugging output.

### Description

The "setdebug" method is used to turn on or off additional debugging output. The SAM framework will provide method/function entry and exit trace data plus additional information. Protocol specific implementations also provide extra output.

SAMConnection
void send ( bool `$switch` )

### Parameters

`switch`

  If this parameter is set to `TRUE` additional debugging output will be provided. If the value is set to `FALSE` output of additional information will be stopped.

### Examples

Example #1 Turn on debugging output

`<?php
$conn->setdebug(TRUE);
?>`

Example #2 Turn off debugging output

`<?php
$conn->setdebug(FALSE);
?>`

SAMConnection->send
SAMConnection->subscribe
SAM Functions
PHP Manual